### Constructor

# Gtk LockButtonnew

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_lock_button_new (
      GPermission* permission
    )

#### Description [src]

Creates a new lock button which reflects the `permission`.

Deprecated since: 4.10

This widget will be removed in GTK 5

#### Parameters

`permission`

  Type: `GPermission`

  A `GPermission`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GtkLockButton`

The data is owned by the called function.